###############################################################################

module TerraformWrapper

###############################################################################

  module Shared

###############################################################################

    class Provider

###############################################################################

      include TerraformWrapper::Shared::Logging

###############################################################################

      attr_reader :platforms

###############################################################################

      def initialize(options:)
        logger.fatal("Provider platforms to prefetch hashs for must be an array!") unless options["platforms"].kind_of?(Array)

        @platforms = options["platforms"]
      end

###############################################################################

    end

###############################################################################

  end

###############################################################################

end

###############################################################################
